Subject: Re: Git-aware Issue Tracking?

From: Pierre Habouzit <[email-masked]>
Date: Thu, 21 Aug 2008 10:30:42 +0200

On Wed, Aug 20, 2008 at 06:52:24PM +0000, Jakub Narebski wrote:
> Petr Baudis <[email-masked]> writes:
> 
> > On Wed, Aug 20, 2008 at 07:13:26AM -0700, Shawn O. Pearce wrote:
> > > I've thought about starting a code.google.com project just to use
> > > the issue tracking system there.  I'm using an internal tool to
> > > keep of issues for myself, but that's not fair to the end-users or
> > > other contributors...
> > 
> > I have been thinking about issue tracking for some of my projects too,
> > but I'm wondering, does anyone have a comprehensive picture of the state
> > of the Git-supporting issue tracking tools, especially those that keep
> > the tracked issues in a Git repository as well?
> > 
> > 	http://git.or.cz/gitwiki/InterfacesFrontendsAndTools#head-73b23f376ebd0222d1e4b08f09158172aa34c24f
> > 
> > has three, but two of them are in Ruby, which is rather discouraging.
> > But Cil (in Perl) is already "self-hosting", so it might be well usable?
> 
> There is also Bugs Everywhere, written in Python, which supposedly has
> (some form of) Git support:
>   http://git.or.cz/gitwiki/InterfacesFrontendsAndToolsWishlist#be
> 
> There was also 'grit' by Pierre Habouzit, also in Python, which got
> abandoned and removed (also from wiki):
> http://git.or.cz/gitwiki/InterfacesFrontendsAndTools?action=diff&rev2=203&rev1=202
> If I remember correcly Pierre promised to write down what he learned
> about distributed bug tracking from his work on grit[*1*], when he had
> a bit of free time, but I don't remember him doing it...

  Actually there is a list, [email-masked] or sth similar where I
did it. One should look at the archives of that list. Though it's
somehow dead again.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org